com.genesyslab.wfm8.API.service.config852

## Class CfgMeeting

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgMeeting

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgMeeting
      extends java.lang.Object
      implements java.io.Serializable

  Meeting definition
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp`
    `protected int` | `wmBUId`
    `protected int` | `wmDuration`
    `protected double` | `wmEndDate`
    `protected double` | `wmEndTime`
    `protected int` | `wmExceptionTypeId`
    `protected boolean` | `wmIndividual`
    `protected int` | `wmMaxGroup`
    `protected int` | `wmMaxOccurences`
    `protected double` | `wmMaxShortagePerc`
    `protected double` | `wmMaxSurplusPerc`
    `protected java.util.List<java.lang.Integer>` | `wmMeetingAgents`
    `protected int` | `wmMeetingAgentsNSizeIs`
    `protected int` | `wmMeetingId`
    `protected double` | `wmMinAttendeesPerc`
    `protected int` | `wmMinGroup`
    `protected int` | `wmMinOccurences`
    `protected java.lang.String` | `wmName`
    `protected int` | `wmOccurences`
    `protected int` | `wmRecurrenceMultiplier`
    `protected int` | `wmRecurrenceType`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`
    `protected double` | `wmStartDate`
    `protected double` | `wmStartTime`
    `protected int` | `wmTimezoneId`
    `protected int` | `wmTotalMinutes`
    `protected boolean` | `wmUseMinmaxGroup`
    `protected boolean` | `wmUseTotalMinutes`
    `protected java.util.List<java.lang.Boolean>` | `wmWeekDays`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgMeeting()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmDuration()` Gets the value of the wmDuration property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `double` | `getWmEndTime()` Gets the value of the wmEndTime property.
    `int` | `getWmExceptionTypeId()` Gets the value of the wmExceptionTypeId property.
    `int` | `getWmMaxGroup()` Gets the value of the wmMaxGroup property.
    `int` | `getWmMaxOccurences()` Gets the value of the wmMaxOccurences property.
    `double` | `getWmMaxShortagePerc()` Gets the value of the wmMaxShortagePerc property.
    `double` | `getWmMaxSurplusPerc()` Gets the value of the wmMaxSurplusPerc property.
    `java.util.List<java.lang.Integer>` | `getWmMeetingAgents()` Gets the value of the wmMeetingAgents property.
    `int` | `getWmMeetingAgentsNSizeIs()` Gets the value of the wmMeetingAgentsNSizeIs property.
    `int` | `getWmMeetingId()` Gets the value of the wmMeetingId property.
    `double` | `getWmMinAttendeesPerc()` Gets the value of the wmMinAttendeesPerc property.
    `int` | `getWmMinGroup()` Gets the value of the wmMinGroup property.
    `int` | `getWmMinOccurences()` Gets the value of the wmMinOccurences property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmOccurences()` Gets the value of the wmOccurences property.
    `int` | `getWmRecurrenceMultiplier()` Gets the value of the wmRecurrenceMultiplier property.
    `int` | `getWmRecurrenceType()` Gets the value of the wmRecurrenceType property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `double` | `getWmStartTime()` Gets the value of the wmStartTime property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `int` | `getWmTotalMinutes()` Gets the value of the wmTotalMinutes property.
    `java.util.List<java.lang.Boolean>` | `getWmWeekDays()` Gets the value of the wmWeekDays property.
    `int` | `hashCode()`
    `boolean` | `isWmIndividual()` Gets the value of the wmIndividual property.
    `boolean` | `isWmUseMinmaxGroup()` Gets the value of the wmUseMinmaxGroup property.
    `boolean` | `isWmUseTotalMinutes()` Gets the value of the wmUseTotalMinutes property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmDuration(int value)` Sets the value of the wmDuration property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmEndTime(double value)` Sets the value of the wmEndTime property.
    `void` | `setWmExceptionTypeId(int value)` Sets the value of the wmExceptionTypeId property.
    `void` | `setWmIndividual(boolean value)` Sets the value of the wmIndividual property.
    `void` | `setWmMaxGroup(int value)` Sets the value of the wmMaxGroup property.
    `void` | `setWmMaxOccurences(int value)` Sets the value of the wmMaxOccurences property.
    `void` | `setWmMaxShortagePerc(double value)` Sets the value of the wmMaxShortagePerc property.
    `void` | `setWmMaxSurplusPerc(double value)` Sets the value of the wmMaxSurplusPerc property.
    `void` | `setWmMeetingAgents(java.util.List<java.lang.Integer> wmMeetingAgents)` Sets the value of the wmMeetingAgents property.
    `void` | `setWmMeetingAgentsNSizeIs(int value)` Sets the value of the wmMeetingAgentsNSizeIs property.
    `void` | `setWmMeetingId(int value)` Sets the value of the wmMeetingId property.
    `void` | `setWmMinAttendeesPerc(double value)` Sets the value of the wmMinAttendeesPerc property.
    `void` | `setWmMinGroup(int value)` Sets the value of the wmMinGroup property.
    `void` | `setWmMinOccurences(int value)` Sets the value of the wmMinOccurences property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmOccurences(int value)` Sets the value of the wmOccurences property.
    `void` | `setWmRecurrenceMultiplier(int value)` Sets the value of the wmRecurrenceMultiplier property.
    `void` | `setWmRecurrenceType(int value)` Sets the value of the wmRecurrenceType property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmStartTime(double value)` Sets the value of the wmStartTime property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmTotalMinutes(int value)` Sets the value of the wmTotalMinutes property.
    `void` | `setWmUseMinmaxGroup(boolean value)` Sets the value of the wmUseMinmaxGroup property.
    `void` | `setWmUseTotalMinutes(boolean value)` Sets the value of the wmUseTotalMinutes property.
    `void` | `setWmWeekDays(java.util.List<java.lang.Boolean> wmWeekDays)` Sets the value of the wmWeekDays property.
    `java.lang.String` | `toString()`
    `CfgMeeting` | `withTimestamp(long value)`
    `CfgMeeting` | `withWmBUId(int value)`
    `CfgMeeting` | `withWmDuration(int value)`
    `CfgMeeting` | `withWmEndDate(double value)`
    `CfgMeeting` | `withWmEndTime(double value)`
    `CfgMeeting` | `withWmExceptionTypeId(int value)`
    `CfgMeeting` | `withWmIndividual(boolean value)`
    `CfgMeeting` | `withWmMaxGroup(int value)`
    `CfgMeeting` | `withWmMaxOccurences(int value)`
    `CfgMeeting` | `withWmMaxShortagePerc(double value)`
    `CfgMeeting` | `withWmMaxSurplusPerc(double value)`
    `CfgMeeting` | `withWmMeetingAgents(java.util.Collection<java.lang.Integer> values)`
    `CfgMeeting` | `withWmMeetingAgents(java.lang.Integer... values)`
    `CfgMeeting` | `withWmMeetingAgentsNSizeIs(int value)`
    `CfgMeeting` | `withWmMeetingId(int value)`
    `CfgMeeting` | `withWmMinAttendeesPerc(double value)`
    `CfgMeeting` | `withWmMinGroup(int value)`
    `CfgMeeting` | `withWmMinOccurences(int value)`
    `CfgMeeting` | `withWmName(java.lang.String value)`
    `CfgMeeting` | `withWmOccurences(int value)`
    `CfgMeeting` | `withWmRecurrenceMultiplier(int value)`
    `CfgMeeting` | `withWmRecurrenceType(int value)`
    `CfgMeeting` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgMeeting` | `withWmSiteId(java.lang.Integer... values)`
    `CfgMeeting` | `withWmSiteIdNSizeIs(int value)`
    `CfgMeeting` | `withWmStartDate(double value)`
    `CfgMeeting` | `withWmStartTime(double value)`
    `CfgMeeting` | `withWmTimezoneId(int value)`
    `CfgMeeting` | `withWmTotalMinutes(int value)`
    `CfgMeeting` | `withWmUseMinmaxGroup(boolean value)`
    `CfgMeeting` | `withWmUseTotalMinutes(boolean value)`
    `CfgMeeting` | `withWmWeekDays(java.lang.Boolean... values)`
    `CfgMeeting` | `withWmWeekDays(java.util.Collection<java.lang.Boolean> values)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmMeetingId

          protected int wmMeetingId

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmName

          protected java.lang.String wmName

    - #### wmExceptionTypeId

          protected int wmExceptionTypeId

    - #### wmStartDate

          protected double wmStartDate

    - #### wmStartTime

          protected double wmStartTime

    - #### wmEndDate

          protected double wmEndDate

    - #### wmEndTime

          protected double wmEndTime

    - #### wmDuration

          protected int wmDuration

    - #### wmMaxShortagePerc

          protected double wmMaxShortagePerc

    - #### wmMaxSurplusPerc

          protected double wmMaxSurplusPerc

    - #### wmUseTotalMinutes

          protected boolean wmUseTotalMinutes

    - #### wmTotalMinutes

          protected int wmTotalMinutes

    - #### wmUseMinmaxGroup

          protected boolean wmUseMinmaxGroup

    - #### wmMinGroup

          protected int wmMinGroup

    - #### wmMaxGroup

          protected int wmMaxGroup

    - #### wmWeekDays

          protected java.util.List<java.lang.Boolean> wmWeekDays

    - #### wmMinAttendeesPerc

          protected double wmMinAttendeesPerc

    - #### wmRecurrenceType

          protected int wmRecurrenceType

    - #### wmOccurences

          protected int wmOccurences

    - #### wmRecurrenceMultiplier

          protected int wmRecurrenceMultiplier

    - #### wmMinOccurences

          protected int wmMinOccurences

    - #### wmMaxOccurences

          protected int wmMaxOccurences

    - #### wmTimezoneId

          protected int wmTimezoneId

    - #### wmIndividual

          protected boolean wmIndividual

    - #### wmMeetingAgentsNSizeIs

          protected int wmMeetingAgentsNSizeIs

    - #### wmMeetingAgents

          protected java.util.List<java.lang.Integer> wmMeetingAgents

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### CfgMeeting

          public CfgMeeting()

  - ### Method Detail

    - #### getWmMeetingId

          public int getWmMeetingId()

      Gets the value of the wmMeetingId property.

    - #### setWmMeetingId

          public void setWmMeetingId(int value)

      Sets the value of the wmMeetingId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmExceptionTypeId

          public int getWmExceptionTypeId()

      Gets the value of the wmExceptionTypeId property.

    - #### setWmExceptionTypeId

          public void setWmExceptionTypeId(int value)

      Sets the value of the wmExceptionTypeId property.

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmStartTime

          public double getWmStartTime()

      Gets the value of the wmStartTime property.

    - #### setWmStartTime

          public void setWmStartTime(double value)

      Sets the value of the wmStartTime property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### getWmEndTime

          public double getWmEndTime()

      Gets the value of the wmEndTime property.

    - #### setWmEndTime

          public void setWmEndTime(double value)

      Sets the value of the wmEndTime property.

    - #### getWmDuration

          public int getWmDuration()

      Gets the value of the wmDuration property.

    - #### setWmDuration

          public void setWmDuration(int value)

      Sets the value of the wmDuration property.

    - #### getWmMaxShortagePerc

          public double getWmMaxShortagePerc()

      Gets the value of the wmMaxShortagePerc property.

    - #### setWmMaxShortagePerc

          public void setWmMaxShortagePerc(double value)

      Sets the value of the wmMaxShortagePerc property.

    - #### getWmMaxSurplusPerc

          public double getWmMaxSurplusPerc()

      Gets the value of the wmMaxSurplusPerc property.

    - #### setWmMaxSurplusPerc

          public void setWmMaxSurplusPerc(double value)

      Sets the value of the wmMaxSurplusPerc property.

    - #### isWmUseTotalMinutes

          public boolean isWmUseTotalMinutes()

      Gets the value of the wmUseTotalMinutes property.

    - #### setWmUseTotalMinutes

          public void setWmUseTotalMinutes(boolean value)

      Sets the value of the wmUseTotalMinutes property.

    - #### getWmTotalMinutes

          public int getWmTotalMinutes()

      Gets the value of the wmTotalMinutes property.

    - #### setWmTotalMinutes

          public void setWmTotalMinutes(int value)

      Sets the value of the wmTotalMinutes property.

    - #### isWmUseMinmaxGroup

          public boolean isWmUseMinmaxGroup()

      Gets the value of the wmUseMinmaxGroup property.

    - #### setWmUseMinmaxGroup

          public void setWmUseMinmaxGroup(boolean value)

      Sets the value of the wmUseMinmaxGroup property.

    - #### getWmMinGroup

          public int getWmMinGroup()

      Gets the value of the wmMinGroup property.

    - #### setWmMinGroup

          public void setWmMinGroup(int value)

      Sets the value of the wmMinGroup property.

    - #### getWmMaxGroup

          public int getWmMaxGroup()

      Gets the value of the wmMaxGroup property.

    - #### setWmMaxGroup

          public void setWmMaxGroup(int value)

      Sets the value of the wmMaxGroup property.

    - #### getWmWeekDays

          public java.util.List<java.lang.Boolean> getWmWeekDays()

      Gets the value of the wmWeekDays property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmWeekDays property.

      For example, to add a new item, do as follows:

              getWmWeekDays().add(newItem);

      Objects of the following type(s) are allowed in the list `Boolean`

    - #### getWmMinAttendeesPerc

          public double getWmMinAttendeesPerc()

      Gets the value of the wmMinAttendeesPerc property.

    - #### setWmMinAttendeesPerc

          public void setWmMinAttendeesPerc(double value)

      Sets the value of the wmMinAttendeesPerc property.

    - #### getWmRecurrenceType

          public int getWmRecurrenceType()

      Gets the value of the wmRecurrenceType property.

    - #### setWmRecurrenceType

          public void setWmRecurrenceType(int value)

      Sets the value of the wmRecurrenceType property.

    - #### getWmOccurences

          public int getWmOccurences()

      Gets the value of the wmOccurences property.

    - #### setWmOccurences

          public void setWmOccurences(int value)

      Sets the value of the wmOccurences property.

    - #### getWmRecurrenceMultiplier

          public int getWmRecurrenceMultiplier()

      Gets the value of the wmRecurrenceMultiplier property.

    - #### setWmRecurrenceMultiplier

          public void setWmRecurrenceMultiplier(int value)

      Sets the value of the wmRecurrenceMultiplier property.

    - #### getWmMinOccurences

          public int getWmMinOccurences()

      Gets the value of the wmMinOccurences property.

    - #### setWmMinOccurences

          public void setWmMinOccurences(int value)

      Sets the value of the wmMinOccurences property.

    - #### getWmMaxOccurences

          public int getWmMaxOccurences()

      Gets the value of the wmMaxOccurences property.

    - #### setWmMaxOccurences

          public void setWmMaxOccurences(int value)

      Sets the value of the wmMaxOccurences property.

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### isWmIndividual

          public boolean isWmIndividual()

      Gets the value of the wmIndividual property.

    - #### setWmIndividual

          public void setWmIndividual(boolean value)

      Sets the value of the wmIndividual property.

    - #### getWmMeetingAgentsNSizeIs

          public int getWmMeetingAgentsNSizeIs()

      Gets the value of the wmMeetingAgentsNSizeIs property.

    - #### setWmMeetingAgentsNSizeIs

          public void setWmMeetingAgentsNSizeIs(int value)

      Sets the value of the wmMeetingAgentsNSizeIs property.

    - #### getWmMeetingAgents

          public java.util.List<java.lang.Integer> getWmMeetingAgents()

      Gets the value of the wmMeetingAgents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmMeetingAgents property.

      For example, to add a new item, do as follows:

              getWmMeetingAgents().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmMeetingId

          public CfgMeeting withWmMeetingId(int value)

    - #### withWmBUId

          public CfgMeeting withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgMeeting withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgMeeting withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgMeeting withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgMeeting withWmName(java.lang.String value)

    - #### withWmExceptionTypeId

          public CfgMeeting withWmExceptionTypeId(int value)

    - #### withWmStartDate

          public CfgMeeting withWmStartDate(double value)

    - #### withWmStartTime

          public CfgMeeting withWmStartTime(double value)

    - #### withWmEndDate

          public CfgMeeting withWmEndDate(double value)

    - #### withWmEndTime

          public CfgMeeting withWmEndTime(double value)

    - #### withWmDuration

          public CfgMeeting withWmDuration(int value)

    - #### withWmMaxShortagePerc

          public CfgMeeting withWmMaxShortagePerc(double value)

    - #### withWmMaxSurplusPerc

          public CfgMeeting withWmMaxSurplusPerc(double value)

    - #### withWmUseTotalMinutes

          public CfgMeeting withWmUseTotalMinutes(boolean value)

    - #### withWmTotalMinutes

          public CfgMeeting withWmTotalMinutes(int value)

    - #### withWmUseMinmaxGroup

          public CfgMeeting withWmUseMinmaxGroup(boolean value)

    - #### withWmMinGroup

          public CfgMeeting withWmMinGroup(int value)

    - #### withWmMaxGroup

          public CfgMeeting withWmMaxGroup(int value)

    - #### withWmWeekDays

          public CfgMeeting withWmWeekDays(java.lang.Boolean... values)

    - #### withWmWeekDays

          public CfgMeeting withWmWeekDays(java.util.Collection<java.lang.Boolean> values)

    - #### withWmMinAttendeesPerc

          public CfgMeeting withWmMinAttendeesPerc(double value)

    - #### withWmRecurrenceType

          public CfgMeeting withWmRecurrenceType(int value)

    - #### withWmOccurences

          public CfgMeeting withWmOccurences(int value)

    - #### withWmRecurrenceMultiplier

          public CfgMeeting withWmRecurrenceMultiplier(int value)

    - #### withWmMinOccurences

          public CfgMeeting withWmMinOccurences(int value)

    - #### withWmMaxOccurences

          public CfgMeeting withWmMaxOccurences(int value)

    - #### withWmTimezoneId

          public CfgMeeting withWmTimezoneId(int value)

    - #### withWmIndividual

          public CfgMeeting withWmIndividual(boolean value)

    - #### withWmMeetingAgentsNSizeIs

          public CfgMeeting withWmMeetingAgentsNSizeIs(int value)

    - #### withWmMeetingAgents

          public CfgMeeting withWmMeetingAgents(java.lang.Integer... values)

    - #### withWmMeetingAgents

          public CfgMeeting withWmMeetingAgents(java.util.Collection<java.lang.Integer> values)

    - #### withTimestamp

          public CfgMeeting withTimestamp(long value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmWeekDays

          public void setWmWeekDays(java.util.List<java.lang.Boolean> wmWeekDays)

      Sets the value of the wmWeekDays property.
      Parameters:
        `wmWeekDays` - allowed object is `Boolean`

    - #### setWmMeetingAgents

          public void setWmMeetingAgents(java.util.List<java.lang.Integer> wmMeetingAgents)

      Sets the value of the wmMeetingAgents property.
      Parameters:
        `wmMeetingAgents` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.